#!/bin/bash

rm -f "Csound_opcodes.vim"
echo -e -n "\nsyn\tkeyword\tStatement\t"		>  "Csound_opcodes.vim"

OPC_LIST_1=`csound -z1 2> /dev/null | tail -n +2 | cut -d " " -f 1 | grep -e "^[[:alpha:]]" | grep -v -e "\<xxx\>\|\<p\>" | sort | uniq`

{
	for i in $OPC_LIST_1 ; do
		echo -e -n $i
		echo -e $i | wc -c ;
	done
} | sort -n -k 2 | cut -d " " -f 1 | tr "\n" " " | sed 's/ $//'	\
							>> "Csound_opcodes.vim"

echo -e "\n"						>> "Csound_opcodes.vim"

